{
  "format": 1,
  "restore": {
    "C:\\_work\\Remotely\\Desktop.Win\\Desktop.Win.csproj": {}
  },
  "projects": {
    "C:\\_work\\Remotely\\Desktop.Shared\\Desktop.Shared.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\Desktop.Shared\\Desktop.Shared.csproj",
        "projectName": "Desktop.Shared",
        "projectPath": "C:\\_work\\Remotely\\Desktop.Shared\\Desktop.Shared.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\Desktop.Shared\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0": {
            "targetAlias": "net6.0",
            "projectReferences": {
              "C:\\_work\\Remotely\\Shared\\Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\Shared\\Shared.csproj"
              },
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0": {
          "targetAlias": "net6.0",
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\Desktop.Win\\Desktop.Win.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\Desktop.Win\\Desktop.Win.csproj",
        "projectName": "Remotely Desktop",
        "projectPath": "C:\\_work\\Remotely\\Desktop.Win\\Desktop.Win.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\Desktop.Win\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0-windows"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0-windows7.0": {
            "targetAlias": "net6.0-windows",
            "projectReferences": {
              "C:\\_work\\Remotely\\Desktop.Shared\\Desktop.Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\Desktop.Shared\\Desktop.Shared.csproj"
              },
              "C:\\_work\\Remotely\\Shared\\Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\Shared\\Shared.csproj"
              },
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\Desktop.Windows.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\Desktop.Windows.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0-windows7.0": {
          "targetAlias": "net6.0-windows",
          "dependencies": {
            "NAudio": {
              "target": "Package",
              "version": "[2.1.0, )"
            },
            "SharpDX": {
              "target": "Package",
              "version": "[4.2.0, )"
            },
            "SharpDX.DXGI": {
              "target": "Package",
              "version": "[4.2.0, )"
            },
            "SharpDX.Direct3D11": {
              "target": "Package",
              "version": "[4.2.0, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            },
            "Microsoft.WindowsDesktop.App": {
              "privateAssets": "none"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\Shared\\Shared.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\Shared\\Shared.csproj",
        "projectName": "Remotely_Shared",
        "projectPath": "C:\\_work\\Remotely\\Shared\\Shared.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\Shared\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0": {
            "targetAlias": "net6.0",
            "projectReferences": {
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0": {
          "targetAlias": "net6.0",
          "dependencies": {
            "ConcurrentList": {
              "target": "Package",
              "version": "[1.4.0, )"
            },
            "Microsoft.Extensions.Identity.Stores": {
              "target": "Package",
              "version": "[6.0.9, )"
            },
            "System.ComponentModel.Annotations": {
              "target": "Package",
              "version": "[5.0.0, )"
            },
            "System.Security.Principal.Windows": {
              "target": "Package",
              "version": "[5.0.0, )"
            },
            "System.Text.Json": {
              "target": "Package",
              "version": "[6.0.6, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj",
        "projectName": "Immense.RemoteControl.Desktop.Shared",
        "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0": {
            "targetAlias": "net6.0",
            "projectReferences": {
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0": {
          "targetAlias": "net6.0",
          "dependencies": {
            "CommunityToolkit.Diagnostics": {
              "target": "Package",
              "version": "[8.0.0, )"
            },
            "CommunityToolkit.Mvvm": {
              "target": "Package",
              "version": "[8.0.0, )"
            },
            "Microsoft.AspNetCore.SignalR.Client": {
              "target": "Package",
              "version": "[6.0.9, )"
            },
            "Microsoft.AspNetCore.SignalR.Protocols.MessagePack": {
              "target": "Package",
              "version": "[6.0.9, )"
            },
            "Microsoft.Extensions.Logging": {
              "target": "Package",
              "version": "[6.0.0, )"
            },
            "Microsoft.Extensions.Logging.Console": {
              "target": "Package",
              "version": "[6.0.0, )"
            },
            "Microsoft.Extensions.Logging.Debug": {
              "target": "Package",
              "version": "[6.0.0, )"
            },
            "Microsoft.IO.RecyclableMemoryStream": {
              "target": "Package",
              "version": "[2.2.1, )"
            },
            "SkiaSharp": {
              "target": "Package",
              "version": "[2.88.2, )"
            },
            "SkiaSharp.Views.Desktop.Common": {
              "target": "Package",
              "version": "[2.88.2, )"
            },
            "System.CommandLine": {
              "target": "Package",
              "version": "[2.0.0-beta4.22272.1, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\Desktop.UI.WPF.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\Desktop.UI.WPF.csproj",
        "projectName": "Immense.RemoteControl.Desktop.UI.WPF",
        "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\Desktop.UI.WPF.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0-windows"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0-windows7.0": {
            "targetAlias": "net6.0-windows",
            "projectReferences": {
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0-windows7.0": {
          "targetAlias": "net6.0-windows",
          "dependencies": {
            "Microsoft.Extensions.Logging": {
              "target": "Package",
              "version": "[6.0.0, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            },
            "Microsoft.WindowsDesktop.App": {
              "privateAssets": "none"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\Desktop.Windows.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\Desktop.Windows.csproj",
        "projectName": "Immense.RemoteControl.Desktop.Windows",
        "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\Desktop.Windows.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Windows\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0-windows7.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0-windows7.0": {
            "targetAlias": "net6.0-windows7.0",
            "projectReferences": {
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.Shared\\Desktop.Shared.csproj"
              },
              "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\Desktop.UI.WPF.csproj": {
                "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Desktop.UI.WPF\\Desktop.UI.WPF.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0-windows7.0": {
          "targetAlias": "net6.0-windows7.0",
          "dependencies": {
            "NAudio.Wasapi": {
              "target": "Package",
              "version": "[2.1.0, )"
            },
            "SharpDX.Direct3D11": {
              "target": "Package",
              "version": "[4.2.0, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            },
            "Microsoft.WindowsDesktop.App": {
              "privateAssets": "none"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj": {
      "version": "0.5.8",
      "restore": {
        "projectUniqueName": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj",
        "projectName": "Immense.RemoteControl.Shared",
        "projectPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\Shared.csproj",
        "packagesPath": "C:\\Users\\ms\\.nuget\\packages\\",
        "outputPath": "C:\\_work\\Remotely\\submodules\\Immense.RemoteControl\\Shared\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "C:\\Program Files (x86)\\Microsoft Visual Studio\\Shared\\NuGetPackages"
        ],
        "configFilePaths": [
          "C:\\Users\\ms\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.FallbackLocation.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config"
        ],
        "originalTargetFrameworks": [
          "net6.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "C:\\Program Files\\dotnet\\library-packs": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "net6.0": {
            "targetAlias": "net6.0",
            "projectReferences": {}
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "net6.0": {
          "targetAlias": "net6.0",
          "dependencies": {
            "ConcurrentList": {
              "target": "Package",
              "version": "[1.4.0, )"
            },
            "MessagePack": {
              "target": "Package",
              "version": "[2.4.35, )"
            },
            "Microsoft.Extensions.Caching.Memory": {
              "target": "Package",
              "version": "[6.0.1, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48",
            "net481"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\7.0.200\\RuntimeIdentifierGraph.json"
        }
      }
    }
  }
}